﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FR_table.sql **/
-- 总账付款申请单添加字段   收款信息变更状态  收款信息变更单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_GLRPAYBILL' AND KSQL_COL_NAME IN ('FRECEIPTSTATUS')) 
 ALTER TABLE T_FR_GLRPAYBILL ADD (FRECEIPTSTATUS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FR_GLRPAYBILL' AND KSQL_COL_NAME IN ('FRECEIPTBILL')) 
 ALTER TABLE T_FR_GLRPAYBILL ADD (FRECEIPTBILL BIGINT DEFAULT 0 NOT NULL );

 -- 收款信息变更单多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_RECEIPTCHANGEBILL_L') 
 CREATE TABLE T_FR_RECEIPTCHANGEBILL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPOSITION VARCHAR(50) DEFAULT ' ' NOT NULL
);

-- 收款信息变更单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FR_RECEIPTCHANGEBILL') 
 CREATE TABLE T_FR_RECEIPTCHANGEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPT BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FSOURCEBILL BIGINT DEFAULT 0 NOT NULL,
FATTACHMENTCOUNT INT DEFAULT 0 NOT NULL,
FCHANGEREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPAYEETYPE VARCHAR(15) DEFAULT ' ' NOT NULL,
FPAYEE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEBANK BIGINT DEFAULT 0 NOT NULL,
FPAYEEACCOUNTNEW VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEBANKNEW BIGINT DEFAULT 0 NOT NULL,
FACCOUNTINGORG BIGINT DEFAULT 0 NOT NULL,
FNEXTAUDITOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEID VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FR_table.sql **/
